%define srcname FormEncode
%define rel 3

Name:           python-formencode
Version:        1.2.6
Release:        %mkrel %{rel}
Summary:        HTML form validation, generation, and convertion package  
Group:          Development/Python
License:        Python
URL:            http://formencode.org/
Source0:        http://pypi.python.org/packages/source/F/FormEncode/%{srcname}-%{version}.zip

BuildArch:      noarch
BuildRequires: pkgconfig(python-2.7)
BuildRequires: python-setuptools
BuildRequires: python-docutils
BuildRequires: python-nose

%description
FormEncode validates and converts nested structures. It allows for a 
declarative form of defining the validation, and decoupled processes 
for filling and generating forms.

%files -f %{srcname}.lang
%doc PKG-INFO docs
%{python_sitelib}/formencode
%{python_sitelib}/%{srcname}-%{version}-py%{pyver}.egg-info

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}


# Move l10n files in correct place like it's done on fedora
for file in %{buildroot}/%{python_sitelib}/formencode/i18n/* ; do
    if [ -d $file ] ; then
        if [ -e $file/LC_MESSAGES/%{srcname}.mo ] ; then
            mkdir -p %{buildroot}/%{_datadir}/locale/`basename $file`/LC_MESSAGES/
            mv $file/LC_MESSAGES/%{srcname}.mo %{buildroot}/%{_datadir}/locale/`basename $file`/LC_MESSAGES/
        fi
    fi
done
rm -rf %{buildroot}/%{python_sitelib}/formencode/i18n

%find_lang %{srcname}


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.2.6-3.mga4
+ Revision: 543547
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.6-2.mga4
+ Revision: 498632
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Feb 09 2013 mikala <mikala> 1.2.6-1.mga3
+ Revision: 397652
- imported package python-formencode

